be.fgov.ehealth.samcivics.schemas.v2

## Class FindReimbursementConditionsRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.samcivics.schemas.v2.FindReimbursementConditionsRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:13:42+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindReimbursementConditionsRequest
      extends RequestType
      implements Serializable

  Java class for FindReimbursementConditionsRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindReimbursementConditionsRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <choice>
                 <element name="AmppId" type="{http://www.w3.org/2001/XMLSchema}long"/>
                 <sequence>
                   <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
                   <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 </sequence>
               </choice>
               <choice minOccurs="0">
                 <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element name="Version" type="{http://www.w3.org/2001/XMLSchema}integer"/>
               </choice>
             </sequence>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindReimbursementConditionsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getAmppId()` Gets the value of the amppId property.
    `String` | `getChapterName()` Gets the value of the chapterName property.
    `String` | `getLang()` Gets the value of the lang property.
    `String` | `getParagraphName()` Gets the value of the paragraphName property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `BigInteger` | `getVersion()` Gets the value of the version property.
    `void` | `setAmppId(Long value)` Sets the value of the amppId property.
    `void` | `setChapterName(String value)` Sets the value of the chapterName property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setParagraphName(String value)` Sets the value of the paragraphName property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setVersion(BigInteger value)` Sets the value of the version property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindReimbursementConditionsRequest

          public FindReimbursementConditionsRequest()

  - ### Method Detail

    - #### getChapterName

          public String getChapterName()

      Gets the value of the chapterName property.
      Returns:
        possible object is `String`

    - #### setChapterName

          public void setChapterName(String value)

      Sets the value of the chapterName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getParagraphName

          public String getParagraphName()

      Gets the value of the paragraphName property.
      Returns:
        possible object is `String`

    - #### setParagraphName

          public void setParagraphName(String value)

      Sets the value of the paragraphName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAmppId

          public Long getAmppId()

      Gets the value of the amppId property.
      Returns:
        possible object is `Long`

    - #### setAmppId

          public void setAmppId(Long value)

      Sets the value of the amppId property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getVersion

          public BigInteger getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `BigInteger`

    - #### setVersion

          public void setVersion(BigInteger value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.